Class Fox::FXFileDialog

In: | FXFileDialog.rb
Parent: | FXDialogBox

File selection dialog

Each pattern in the patternList comprises an optional name, followed by a pattern in parentheses. The patterns are separated by newlines. For example,

     "*\n*.cpp,*.cc\n*.hpp,*.hh,*.h"

and

     "All Files (*)\nC++ Sources (*.cpp,*.cc)\nC++ Headers (*.hpp,*.hh,*.h)"

will set the same three patterns, but the former shows no pattern names.

Methods

getOpenDirectory getOpenFilename getOpenFilenames getPatternText getSaveFilename new readOnly= readOnly? readOnlyShown? setPatternText showReadOnly=

Attributes

currentPattern | [RW] | Current pattern number [Integer]
directory | [RW] | Directory [String]
fileBoxStyle | [RW] | File list style [Integer]
filename | [RW] | File name [String]
filenames | [R] | List of selected filenames [Array]
itemSpace | [RW] | Inter-item spacing (in pixels) [Integer]
pattern | [RW] | File pattern [String]
patternList | [RW] | List of file patterns shown in the file dialog [Array]
selectMode | [RW] | File selection mode [Integer]

Public Class methods

new(owner, name, opts=0, x=0, y=0, w=500, h=300) {|theFileDialog| ...}

Returns an initialized FXFileDialog instance

getOpenFilename(owner, caption, path, patterns="*", initial=0)

Open existing filename

getOpenFilenames(owner, caption, path, patterns = "*", initial=0)

Open multiple existing files

getSaveFilename(owner, caption, path, patterns="*", initial=0)

Save to filename

getOpenDirectory(owner, caption, path)

Open directory name

Public Instance methods

getPatternText(patno)

Get pattern text for given pattern number

setPatternText(patno, text)

Change pattern text for pattern number

showReadOnly=(shown)

Set visibility of the read-only button, where shown is either `true` or `false`

readOnlyShown?()

Return `true` if read-only button is shown

readOnly=(state)

Set initial state of read-only button, where state is either `true` or `false`

readOnly?()

Return `true` if read-only